Bug 15908 - Remove use of recordpayment_selectaccts
Summary: Remove use of recordpayment_selectaccts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15909
Blocks: 15894 19205
  Show dependency treegraph
 
Reported: 2016-02-24 16:15 UTC by Kyle M Hall
Modified: 2018-06-04 20:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15908 - Remove use of recordpayment_selectaccts (3.94 KB, patch)
2016-02-24 16:24 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15908 - Remove use of recordpayment_selectaccts (2.49 KB, patch)
2016-06-07 14:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15908 - Remove use of recordpayment_selectaccts (3.95 KB, patch)
2016-06-07 15:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15908 - Remove use of recordpayment_selectaccts (2.48 KB, patch)
2017-01-10 13:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15908 - Remove use of recordpayment_selectaccts (3.96 KB, patch)
2017-01-10 14:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15908 - Remove use of recordpayment_selectaccts (4.06 KB, patch)
2017-01-10 14:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15908 - Remove use of recordpayment_selectaccts (4.14 KB, patch)
2017-01-10 16:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 16:15:12 UTC

    
Comment 1 Kyle M Hall 2016-02-24 16:24:49 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-04-17 09:16:00 UTC
I get the following on current master:

Applying: Bug 15908 - Remove use of recordpayment_selectaccts
fatal: sha1 information is lacking or useless (C4/Accounts.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 15908 - Remove use of recordpayment_selectaccts
Comment 3 Kyle M Hall 2016-06-07 14:48:43 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2016-06-07 15:12:48 UTC
Created attachment 52152 [details] [review]
Bug 15908 - Remove use of recordpayment_selectaccts

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button
Comment 5 M. Tompsett 2017-01-09 23:23:52 UTC
Comment on attachment 52152 [details] [review]
Bug 15908 - Remove use of recordpayment_selectaccts

Review of attachment 52152 [details] [review]:
-----------------------------------------------------------------

Perhaps it is an extra constraint, but the code isn't identical without it. Results should be identical though.

::: C4/Accounts.pm
@@ -372,5 @@
> -
> -    my @lines = Koha::Account::Lines->search(
> -        {
> -            borrowernumber    => $borrowernumber,
> -            amountoutstanding => { '<>' => 0 },

Why is...

::: members/paycollect.pl
@@ +135,5 @@
> +
> +                my @lines = Koha::Account::Lines->search(
> +                    {
> +                        borrowernumber    => $borrowernumber,
> +                        accountno         => { 'IN' => \@acc },

... this not here?
Comment 6 Kyle M Hall 2017-01-10 13:51:13 UTC
Created attachment 58752 [details] [review]
Bug 15908 - Remove use of recordpayment_selectaccts

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button
Comment 7 Kyle M Hall 2017-01-10 14:11:42 UTC
Created attachment 58754 [details] [review]
Bug 15908 - Remove use of recordpayment_selectaccts

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button
Comment 8 Kyle M Hall 2017-01-10 14:16:24 UTC
Created attachment 58755 [details] [review]
Bug 15908 - Remove use of recordpayment_selectaccts

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button

Signed-off-by: Laura Slavin <lslavin@hmcpl.org>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Jonathan Druart 2017-01-10 16:34:26 UTC
Created attachment 58767 [details] [review]
Bug 15908 - Remove use of recordpayment_selectaccts

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay selected" button

Signed-off-by: Laura Slavin <lslavin@hmcpl.org>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Kyle M Hall 2017-01-11 14:41:15 UTC
Pushed to master for 17.05!
Comment 11 Katrin Fischer 2017-01-15 16:05:53 UTC
This won't get ported back to 16.11.x as it is an enhancement.